org.apache.tapestry5.internal.spring

## Class CustomizingContextLoader

- java.lang.Object
- - org.springframework.web.context.ContextLoader
  - - org.apache.tapestry5.internal.spring.CustomizingContextLoader

-     public class CustomizingContextLoader
      extends org.springframework.web.context.ContextLoader

- - ### Field Summary

    - ### Fields inherited from class org.springframework.web.context.ContextLoader

      `CONFIG_LOCATION_PARAM, CONTEXT_CLASS_PARAM, CONTEXT_ID_PARAM, CONTEXT_INITIALIZER_CLASSES_PARAM, LOCATOR_FACTORY_KEY_PARAM, LOCATOR_FACTORY_SELECTOR_PARAM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomizingContextLoader(ApplicationContextCustomizer customizer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `customizeContext(javax.servlet.ServletContext servletContext, org.springframework.web.context.ConfigurableWebApplicationContext applicationContext)`
    `protected java.lang.Class` | `determineContextClass(javax.servlet.ServletContext servletContext)`

    - ### Methods inherited from class org.springframework.web.context.ContextLoader

      `closeWebApplicationContext, configureAndRefreshWebApplicationContext, createWebApplicationContext, createWebApplicationContext, determineContextInitializerClasses, getCurrentWebApplicationContext, initWebApplicationContext, loadParentContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomizingContextLoader

          public CustomizingContextLoader(ApplicationContextCustomizer customizer)

  - ### Method Detail

    - #### customizeContext

          protected void customizeContext(javax.servlet.ServletContext servletContext,
                                          org.springframework.web.context.ConfigurableWebApplicationContext applicationContext)

      Overrides:
        `customizeContext` in class `org.springframework.web.context.ContextLoader`

    - #### determineContextClass

          protected java.lang.Class determineContextClass(javax.servlet.ServletContext servletContext)
                                                   throws org.springframework.context.ApplicationContextException

      Overrides:
        `determineContextClass` in class `org.springframework.web.context.ContextLoader`
      Throws:
        `org.springframework.context.ApplicationContextException`

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.